From a1fe3e32ca3c59b059fd87b3070201ce4e7d0e70 Mon Sep 17 00:00:00 2001
From: Julien Rouhaud <julien.rouhaud@free.fr>
Date: Thu, 22 Apr 2021 17:14:45 +0800
Subject: [PATCH v1] doc: Mention that toplevel is part of pg_stat_statements
 key.

While at it, also document that toplevel can only be true if
pg_stat_statements.top is set to top.

Author: Julien Rouhaud
Reported-by: Fuji Masao
Discussion: https://postgr.es/m/a878d5ea-64a7-485e-5d2f-177618ebc52d@oss.nttdata.com
---
 doc/src/sgml/pgstatstatements.sgml | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/pgstatstatements.sgml b/doc/src/sgml/pgstatstatements.sgml
index a0c315aa97..561452c624 100644
--- a/doc/src/sgml/pgstatstatements.sgml
+++ b/doc/src/sgml/pgstatstatements.sgml
@@ -46,8 +46,8 @@
   <para>
    The statistics gathered by the module are made available via a
    view named <structname>pg_stat_statements</structname>.  This view
-   contains one row for each distinct database ID, user ID and query
-   ID (up to the maximum number of distinct statements that the module
+   contains one row for each distinct database ID, user ID, query ID and
+   toplevel (up to the maximum number of distinct statements that the module
    can track).  The columns of the view are shown in
    <xref linkend="pgstatstatements-columns"/>.
   </para>
@@ -93,6 +93,8 @@
       </para>
       <para>
        True if the query was executed as a top level statement
+       (requires <varname>pg_stat_statements.toplevel</varname> to be set to
+       <literal>all</literal> to see false values)
       </para></entry>
      </row>
 
-- 
2.30.1

